// Copyright 2022 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.
// IMPORTANT: this file is auto generated. Please do not edit this file.
/* istanbul ignore file */
const styles = new CSSStyleSheet();
styles.replaceSync(
`/**
 * Copyright 2019 The Chromium Authors. All rights reserved.
 * Use of this source code is governed by a BSD-style license that can be
 * found in the LICENSE file.
 */

h1 {
  font-weight: normal;
}

.css-overview-start-view {
  padding: 24px;
  height: 100%;
  display: flex;
  flex-direction: column;
  background-color: var(--color-background);
  overflow: auto;
}

.summary-header {
  color: var(--color-text-primary);
  font-size: 18px;
  font-weight: normal;
  letter-spacing: 0.02em;
  line-height: 1.33;
  margin: 0;
  padding: 0;
}

.summary-list {
  counter-reset: custom-counter;
  list-style: none;
  margin: 16px 0 30px 30px;
  padding: 0;
}

.summary-list li {
  color: var(--color-text-primary);
  counter-increment: custom-counter;
  font-size: 13px;
  letter-spacing: 0.03em;
  line-height: 1.54;
  margin-bottom: 9px;
  position: relative;
}

.summary-list li::before {
  --override-color-counter-background: rgba(26 115 232 / 25%);

  box-sizing: border-box;
  background: var(--override-color-counter-background);
  border-radius: 50%;
  color: var(--color-primary);
  content: counter(custom-counter);
  font-size: 12px;
  height: 18px;
  left: -30px;
  line-height: 20px;
  position: absolute;
  text-align: center;
  top: 0;
  width: 18px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.start-capture-wrapper {
  width: fit-content;
}

.preview-feature {
  padding: 12px 16px;
  border: 1px solid var(--color-details-hairline);
  color: var(--color-text-primary);
  font-size: 13px;
  line-height: 20px;
  border-radius: 12px;
  margin: 42px 0;
  letter-spacing: 0.01em;
}

.preview-header {
  color: var(--color-primary);
  font-size: 13px;
  line-height: 20px;
  letter-spacing: 0.01em;
  margin: 9px 0 14px;
}

.preview-icon {
  vertical-align: middle;
}

.feedback-prompt {
  margin-bottom: 24px;
}

.feedback-prompt .devtools-link {
  color: -webkit-link;
  cursor: pointer;
  text-decoration: underline;
}

.resources {
  display: flex;
  flex-direction: row;
}

.thumbnail-wrapper {
  width: 144px;
  height: 92px;
  margin-right: 20px;
}

.video-doc-header {
  font-size: 13px;
  line-height: 20px;
  letter-spacing: 0.04em;
  color: var(--color-text-primary);
  margin-bottom: 2px;
}

devtools-feedback-button {
  align-self: flex-end;
}

.resources .devtools-link {
  font-size: 14px;
  line-height: 22px;
  letter-spacing: 0.04em;
  text-decoration-line: underline;
  color: var(--color-primary);
}

/*# sourceURL=cssOverviewStartView.css */
`);
export default styles;
