// Copyright 2022 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.
// IMPORTANT: this file is auto generated. Please do not edit this file.
/* istanbul ignore file */
const styles = new CSSStyleSheet();
styles.replaceSync(
`/*
 * Copyright (C) 2006, 2007, 2008 Apple Inc.  All rights reserved.
 * Copyright (C) 2009 Anthony Ricaud <rik@webkit.org>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1.  Redistributions of source code must retain the above copyright
 *     notice, this list of conditions and the following disclaimer.
 * 2.  Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 * 3.  Neither the name of Apple Computer, Inc. ("Apple") nor the names of
 *     its contributors may be used to endorse or promote products derived
 *     from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY APPLE AND ITS CONTRIBUTORS "AS IS" AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL APPLE OR ITS CONTRIBUTORS BE LIABLE FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

:host {
  overflow-y: auto;
}

.icon,
.icon-badge {
  margin: -3px -5px;
}

.icon-stack {
  position: relative;
  display: inline-flex;
}

.icon-stack > [is="ui-icon"]:not(:first-child) {
  position: absolute;
  left: 0;
  top: 0;
}

.tree-outline {
  --override-folder-tree-item-color: #555;
  --override-file-tree-item-color: hsl(0deg 0% 50%);
  --override-sm-folder-fs-tree-fs-folder-item-color: hsl(28deg 75% 50%);
  --override-nw-folder-tree-item-color: hsl(210deg 82% 62%);
  --override-script-snippet-tree-item-color: hsl(48deg 70% 50%);
  --override-stylesheet-tree-item-color: hsl(256deg 50% 50%);
  --override-image-font-tree-item-color: hsl(109deg 33% 50%);
}

.-theme-with-dark-background .tree-outline,
:host-context(.-theme-with-dark-background) .tree-outline {
  --override-folder-tree-item-color: rgb(170 170 170);
  --override-file-tree-item-color: rgb(127 127 127);
  --override-sm-folder-fs-tree-fs-folder-item-color: rgb(223 121 32);
  --override-nw-folder-tree-item-color: rgb(17 96 176);
  --override-script-snippet-tree-item-color: rgb(217 181 38);
  --override-stylesheet-tree-item-color: rgb(98 64 191);
  --override-image-font-tree-item-color: rgb(101 170 85);
}

.navigator-file-tree-item .icon {
  background: var(--override-file-tree-item-color);
}

.navigator-fs-tree-item:not(.has-mapped-files):not(.selected) > :not(.selection),
.navigator-fs-folder-tree-item:not(.has-mapped-files):not(.selected) > :not(.selection) {
  filter: grayscale(50%);
  opacity: 50%;
}

.tree-outline li {
  min-height: 20px;
}

.tree-outline li:hover:not(.selected) .selection {
  display: block;
  background-color: var(--item-hover-color);
}

.navigator-folder-tree-item .icon {
  background-color: var(--override-folder-tree-item-color);
}

.navigator-sm-folder-tree-item .icon,
.navigator-fs-tree-item .icon,
.navigator-fs-folder-tree-item .icon {
  background: var(--override-sm-folder-fs-tree-fs-folder-item-color);
}

.navigator-nw-folder-tree-item .icon {
  background: var(--override-nw-folder-tree-item-color);
}

.navigator-sm-script-tree-item .icon,
.navigator-script-tree-item .icon,
.navigator-snippet-tree-item .icon {
  background: var(--override-script-snippet-tree-item-color);
}

.navigator-sm-stylesheet-tree-item .icon,
.navigator-stylesheet-tree-item .icon {
  background: var(--override-stylesheet-tree-item-color);
}

.navigator-image-tree-item .icon,
.navigator-font-tree-item .icon {
  background: var(--override-image-font-tree-item-color);
}

.navigator-sm-folder-tree-item .tree-element-title,
.navigator-sm-script-tree-item .tree-element-title,
.navigator-sm-stylesheet-tree-item .tree-element-title {
  font-style: italic;
}

@media (forced-colors: active) {
  .tree-outline li .leading-icons [is="ui-icon"].icon-mask {
    background: ButtonText;
  }

  .tree-outline li:hover:not(.selected) .selection {
    forced-color-adjust: none;
    background-color: Highlight;
  }

  .tree-outline:not(.hide-selection-when-blurred) li.parent:hover:not(.selected)::before,
  .tree-outline:not(.hide-selection-when-blurred) li:hover:not(.selected) [is="ui-icon"].icon-mask {
    background-color: HighlightText;
  }

  .tree-outline li:not(.selected):hover .tree-element-title {
    forced-color-adjust: none;
    color: HighlightText;
  }
}

/*# sourceURL=navigatorTree.css */
`);
export default styles;
